Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateUserChatAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateUserChatAction

Enclosing class:
  TdApi

public static final class TdApi.UpdateUserChatAction extends TdApi.Update
User activity in the chat has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatAction`
`action`
The action description.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageThreadId`
If not 0, a message thread identifier in which the action was performed.
`long`
`userId`
Identifier of a user performing an action.

## Constructor Summary

Constructors
Constructor
Description
`UpdateUserChatAction()`
User activity in the chat has changed.
`UpdateUserChatAction(long chatId, long messageThreadId, long userId, TdApi.ChatAction action)`
User activity in the chat has changed.
`UpdateUserChatAction(DataInput input)`
User activity in the chat has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
If not 0, a message thread identifier in which the action was performed.

### userId

public long userId
Identifier of a user performing an action.

### action

public TdApi.ChatAction action
The action description.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateUserChatAction

public UpdateUserChatAction()
User activity in the chat has changed.

### UpdateUserChatAction

public UpdateUserChatAction(long chatId, long messageThreadId, long userId, TdApi.ChatAction action)
User activity in the chat has changed.

Parameters:
  `chatId` - long Chat identifier.
  `messageThreadId` - long If not 0, a message thread identifier in which the action was performed.
  `userId` - long Identifier of a user performing an action.
  `action` - ChatAction The action description.

### UpdateUserChatAction

public UpdateUserChatAction(DataInput input) throws IOException
User activity in the chat has changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`